package textures.mobs.rabbit;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class RabbitIdleWalkTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH IDLE ***/
		Textures.rabbitSheet[0] = Utils.grabSprite(image, 1, 1, 20, 20);
		Textures.rabbitSheet[1] = Utils.grabSprite(image, 2, 1, 20, 20);
		Textures.rabbitSheet[2] = Utils.grabSprite(image, 3, 1, 20, 20);
		Textures.rabbitSheet[3] = Utils.grabSprite(image, 4, 1, 20, 20);

		/*** NORTH IDLE ***/
		Textures.rabbitSheet[4] = Utils.grabSprite(image,1, 2, 20, 20);
		Textures.rabbitSheet[5] = Utils.grabSprite(image,2, 2, 20, 20);
		Textures.rabbitSheet[6] = Utils.grabSprite(image,3, 2, 20, 20);
		Textures.rabbitSheet[7] = Utils.grabSprite(image,4, 2, 20, 20);

		/*** WEST IDLE ***/
		Textures.rabbitSheet[8] = Utils.grabSprite(image,1, 3, 20, 20);
		Textures.rabbitSheet[9] = Utils.grabSprite(image,2, 3, 20, 20);
		Textures.rabbitSheet[10] = Utils.grabSprite(image,3, 3, 20, 20);
		Textures.rabbitSheet[11] = Utils.grabSprite(image,4, 3, 20, 20);

		/*** EAST IDLE ***/
		Textures.rabbitSheet[12] = Utils.reverseImage(Utils.grabSprite(image,1, 3, 20, 20));
		Textures.rabbitSheet[13] = Utils.reverseImage(Utils.grabSprite(image,2, 3, 20, 20));
		Textures.rabbitSheet[14] = Utils.reverseImage(Utils.grabSprite(image,3, 3, 20, 20));
		Textures.rabbitSheet[15] = Utils.reverseImage(Utils.grabSprite(image,4, 3, 20, 20));

		/*** NORTHWEST IDLE ***/
		Textures.rabbitSheet[16] = Utils.grabSprite(image,1, 4, 20, 20);
		Textures.rabbitSheet[17] = Utils.grabSprite(image, 2, 4, 20, 20);
		Textures.rabbitSheet[18] = Utils.grabSprite(image, 3, 4, 20, 20);
		Textures.rabbitSheet[19] = Utils.grabSprite(image, 4, 4, 20, 20);

		/*** NORTHEAST IDLE ***/
		Textures.rabbitSheet[20] = Utils.reverseImage(Utils.grabSprite(image, 1, 4, 20, 20));
		Textures.rabbitSheet[21] = Utils.reverseImage(Utils.grabSprite(image, 2, 4, 20, 20));
		Textures.rabbitSheet[22] = Utils.reverseImage(Utils.grabSprite(image, 3, 4, 20, 20));
		Textures.rabbitSheet[23] = Utils.reverseImage(Utils.grabSprite(image, 4, 4, 20, 20));

		/*** SOUTHWEST IDLE ***/
		Textures.rabbitSheet[24] = Utils.grabSprite(image, 1, 5, 20, 20);
		Textures.rabbitSheet[25] = Utils.grabSprite(image, 2, 5, 20, 20);
		Textures.rabbitSheet[26] = Utils.grabSprite(image, 3, 5, 20, 20);
		Textures.rabbitSheet[27] = Utils.grabSprite(image, 4, 5, 20, 20);

		/*** SOUTHEAST IDLE ***/
		Textures.rabbitSheet[28] = Utils.reverseImage(Utils.grabSprite(image, 1, 5, 20, 20));
		Textures.rabbitSheet[29] = Utils.reverseImage(Utils.grabSprite(image, 2, 5, 20, 20));
		Textures.rabbitSheet[30] = Utils.reverseImage(Utils.grabSprite(image, 3, 5, 20, 20));
		Textures.rabbitSheet[31] = Utils.reverseImage(Utils.grabSprite(image, 4, 5, 20, 20));
	}
	
}
